package math;

/**
 * Kahden muuttujan (unaarinen) operaattori (tai funktio). Esim. +, -, ...
 *
 */
public abstract class Operator extends Expression {
	protected Expression left, right;		// operandit
	/**
	 * Luo operaation, jonka operandit annetaan kutsussa.
	 * @param left		vasen operandi
	 * @param right		oikea operandi
	 * @throws NullPointerException
	 */
	public Operator(Expression left, Expression right) throws NullPointerException {
		if( left == null || right == null )
			throw new NullPointerException("No null-operands.");
		this.left = left;
		this.right = right;
	}
}

